Bug 1867329 - Review Request: R-RcppDate - 'date' C++ Header Library for Date and Time Functionality
Summary: Review Request: R-RcppDate - 'date' C++ Header Library for Date and Time Func...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: José Matos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-08 21:27 UTC by Elliott Sales de Andrade
Modified: 2020-09-13 14:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-08 15:13:39 UTC
Type: ---
jamatos: fedora-review+


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2020-08-08 21:27:38 UTC
Spec URL: https://qulogic.fedorapeople.org/reviews/R-RcppDate/R-RcppDate.spec
SRPM URL: https://qulogic.fedorapeople.org/reviews/R-RcppDate/R-RcppDate-0.0.1-1.fc31.src.rpm

Description:
'date' is a C++ header library offering extensive date and time
functionality for the C++11, C++14 and C++17 standards written by Howard
Hinnant and released under the MIT license. A slightly modified version has
been accepted (along with 'tz.h') as part of C++20. This package regroups
all header files from the upstream repository by Howard Hinnant so that
other R packages can use them in their C++ code. At present, few of the
types have explicit 'Rcpp' wrapper though these may be added as needed.


Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=48932020

Comment 1 José Matos 2020-08-10 09:53:11 UTC
The spec file is simple and correct.

I have just one doubt where is the bundled date?

I examined both rpms and I cannot find it.

Comment 2 Elliott Sales de Andrade 2020-08-11 05:56:24 UTC
The devel package should have date.h and tz.h, which are both from date-devel. I think the other headers are also from date, but maybe a different version.

Comment 3 José Matos 2020-08-11 07:28:38 UTC
I think that you are being too strict about the bundle.
IMHO at most it should be bundled(date-devel) since there is no binary or library distributed for (raw) date.

In any case this is a minor issue. So the usual template applies here:

The spec file is sane. The license is correct and the package builds and
install in rawhide.

The package is approved.

Comment 4 Gwyn Ciesla 2020-08-11 12:59:06 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/R-RcppDate

Comment 5 Fedora Update System 2020-08-30 08:02:54 UTC
FEDORA-2020-f2c2d6ad2a has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-f2c2d6ad2a

Comment 6 Fedora Update System 2020-08-30 08:03:01 UTC
FEDORA-2020-b1843ef5d0 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b1843ef5d0

Comment 7 Fedora Update System 2020-08-31 15:55:06 UTC
FEDORA-2020-f2c2d6ad2a has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-f2c2d6ad2a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-f2c2d6ad2a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-08-31 16:34:27 UTC
FEDORA-2020-b1843ef5d0 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-b1843ef5d0 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b1843ef5d0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-09-05 08:27:05 UTC
FEDORA-2020-f2c2d6ad2a has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-f2c2d6ad2a

Comment 10 Fedora Update System 2020-09-05 18:02:03 UTC
FEDORA-2020-f2c2d6ad2a has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-f2c2d6ad2a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-f2c2d6ad2a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-09-08 15:13:39 UTC
FEDORA-2020-b1843ef5d0 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-09-13 14:27:31 UTC
FEDORA-2020-f2c2d6ad2a has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.